## quinn-diff 0.44

=== debian/changelog ===
quinn-diff (0.44) unstable; urgency=low

  * debian/control (Recommends): recommend debianutils (>= 1.7) for
    mktemp.
  * A stupid bug which was causing problems (alphabetically early
    Architecture: all packages were being erroneously listed as
    uncompiled) on underpopulated architectures (e.g. hurd-i386) has been
    fixed.
  * The example scripts have been improved in small ways and fixed in some
    cases (quinn-diff_split_by_status has been broken since 0.41.)

 -- James Troup <james@nocrew.org>  Sat, 17 Oct 1998 05:09:26 +0100

quinn-diff (0.43) unstable; urgency=low

  * debian/control (Recommends): downgrade python-base dependency to a
    recommendation and also recommend lftp which all the snarf_Packages-*
    example scripts use.
  * debian/control: improved extended description.
  * quinn diff will now die on duplicates in the Packages-source file as
    this invariable represents a mirror in a bad way and quinn diff's
    output will be compromised.
  * A heuristic designed to help spot bad mirrors, which was actually
    causing information lossage in rare cases, has been disabled.
  * quinn diff now checks for a version string in the first line of
    Packages-arch-specific; if it finds a version newer than it can parse,
    it will refuse to even try.
  * quinn diff now supports exclusionary architecture fields in the
    Packages-arch-specific-file, e.g. "!m68k" means that the package is
    suitable for all architectures _except_ m68k.

 -- James Troup <james@nocrew.org>  Wed,  7 Oct 1998 11:39:30 +0100

quinn-diff (0.42) unstable; urgency=low

  * debian/rules (binary-arch): no need for fix_scripts anymore.
  * debian/fix_scripts: removed.
  * debian/control (Depends): depend on python-base for
    create_Packages-source.
  * debian/copyright: new maintainer address.
  * Quinn Diff now accepts a -o/--source-packages option for specifiying
    an alternate name for Packages-source.
  * A spurious debugging error() call which was left in by mistake has
    been removed.
  * Quinn diff will no longer crash on malformed Packages-* files.
  * snarf_Packages-source has been supplemented by a python script to
    replace the spawning of several thousands seds, speeding it up by some
    26 times or more.  
  * Quinn diff will now complain loudly about duplicates in the
    Packages-source file and die on libdb-related errors.
  * Quinn diff no longer tries to guess if the package is libc5 or libc6
    based as this information was only useful during the libc5 -> libc6
    conversion process hamm underwent.

 -- James Troup <james@nocrew.org>  Sun, 27 Sep 1998 14:43:58 +0100

quinn-diff (0.41) unstable; urgency=low

  * debian/control (Maintainer): new address.
  * Quinn diff now handles the long version strings like
    "4.17-4.m68k.objc.threads.hwwp.fpu.gnat" found in slink.
  * The snarf_Packages-source script has been rewritten to be less
    insecure, more flexible and suck less.
  * The configure script now supports --with-includes, --with-efence and
    --with-debug.
  * The -D/--debug option accepts "help" as an argument and displays
    help information on receiving it.

 -- James Troup <james@nocrew.org>  Sat, 18 Jul 1998 23:30:20 +0100

quinn-diff (0.40) unstable; urgency=low

  * --debug short form -d becomes -D, per YAWN and dpkg.
  * New option -w/--visible-warn, controls what category of suspect
    packages are displayed.
  * debian/rules (binary-arch): call fix_scripts.
  * debian/fix_scripts: fix the bang path of shell scripts on the fly.

 -- James Troup <jjtroup@comp.brad.ac.uk>  Tue, 23 Jun 1998 19:38:51 +0200

quinn-diff (0.32) unstable; urgency=high

  * Umm, duh, 0.31 was missing the quinn diff binary. Thanks to Christian
    T. Steigies <exp114@physik.uni-kiel.de> for noticing my cluelessness.
  * debian/rules (binary-arch): pass "`pwd`/debian/tmp/usr/" not
    "debian/tmp/usr/" as the latter has the Makefile installing quinn diff
    into src/debian/tmp/usr/.
  * debian/control (Standards-Version): updated to 2.4.1.0.

 -- James Troup <jjtroup@comp.brad.ac.uk>  Wed,  6 May 1998 18:42:59 +0200

quinn-diff (0.31) unstable; urgency=low

  * Most of the example scripts have been updated so that they work again.
  * Quinn Diff will now print "uncompiled" or "out-of-date" for each
    package depending on whether or not the package has ever been compiled
    on the secondary architecture before or not.

 -- James Troup <jjtroup@comp.brad.ac.uk>  Sat, 18 Apr 1998 19:53:03 +0200

quinn-diff (0.30) unstable; urgency=low

  * The --warn-missing-lines and --warn-duplicates command line switches
    no longer exist.  --warn-missing-lines is now implemented in a more
    sane fashion with checks for existence only done on relevant lines,
    and --warn-duplicates is now enabled through the new --debug switch.
  
  * Quinn Diff will no longer die on duplicate packages in the
    Packages-arch-specific file, it'll will (silently or not, as --debug
    dictates) ignore the duplicates.

  * Quinn Diff's command line interface has changed.  It's no longer
    necessary (or even possible) to specify the two Packages files as
    arguments, instead there are 3 new command line options:

     -a --arch-specific-packages  filename of Packages-arch-specific file.
                                   default: Packages-arch-specific in cwd
     -p --primary-packages        filename of primary architectures Packages file.
                                   default: Packages-primary in cwd
     -s --secondary-packages      filename of secondary architectures Packages file.
                                   default: Packages-secondary in cwd

  * Quinn Diff now correctly exits with an error message when passed an
    unrecognised command line option.
  
  * Quinn Diff now requires a new file Packages-sources, this file lists
    the section and version number of every source package.  There is a
    script (quinn1.3.sh) as a (poor) example of how to generate a

