=== debian/control ===
Source: quinn-diff
Section: devel
Priority: extra
Maintainer: James Troup <james@nocrew.org>
Standards-Version: 2.4.1.0

Package: quinn-diff
Architecture: any
Depends: ${shlibs:Depends}
Recommends: python-base, lftp, debianutils (>= 1.7)
Description: Compares Packages files for two different architectures
 This is a program to compare the Packages files for two architectures,
 to see which programs need (re)compiled for the secondary architecture.
 .
 Quinn diff knows about architecture specific packages (e.g. lilo) and
 can easily exlcude them via a Packages-arch-specific file.  The
 output is a list of source packages complete with accurate section
 and version information, suitable for use in build daemons or just in
 a script to auto-snarf the necessary source.
