=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file - for Quinn Diff (0.43)
# Based on the sample debian/rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# Copyright 1997,1998 by James Troup.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified

build:
	$(checkdir)
	./configure --prefix=/usr
	$(MAKE)
	touch build

clean:
	$(checkdir)
	-$(MAKE) -i distclean || $(MAKE) -f Makefile.in distclean
	-rm -rf build *~ debian/tmp debian/*~ debian/files* debian/substvars*

binary-indep: checkroot build
	$(checkdir)

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp/DEBIAN
	$(MAKE) INSTALL_PROGRAM='install -s' \
		prefix=`pwd`/debian/tmp/usr install
	install -d debian/tmp/usr/doc/quinn-diff/
	install -m 644 README NEWS THANKS TODO debian/tmp/usr/doc/quinn-diff/
	install -m 644 debian/changelog debian/tmp/usr/doc/quinn-diff/changelog.Debian
	install -m 644 ChangeLog debian/tmp/usr/doc/quinn-diff/ChangeLog.main
	install -m 644 src/ChangeLog debian/tmp/usr/doc/quinn-diff/ChangeLog.src
	install -m 644 example_scripts/ChangeLog \
			debian/tmp/usr/doc/quinn-diff/ChangeLog.scripts
	gzip -9v debian/tmp/usr/doc/quinn-diff/*
	ln -s ChangeLog.src.gz debian/tmp/usr/doc/quinn-diff/changelog.gz
	install -m 644 debian/copyright debian/tmp/usr/doc/quinn-diff/
	install -d debian/tmp/usr/doc/quinn-diff/examples/
	install -m 644 Packages-arch-specific debian/tmp/usr/doc/quinn-diff/examples/
	install -m 755 example_scripts/quinn-diff* example_scripts/snarf* \
			example_scripts/create_Packages-source example_scripts/junk.sh \
			debian/tmp/usr/doc/quinn-diff/examples/
	dpkg-shlibdeps ./src/quinn-diff
	dpkg-gencontrol -isp
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f src/hash.c -a -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
