## quinn-diff 0.51

=== debian/changelog ===
quinn-diff (0.51) unstable; urgency=low

  * Fixes crashes on Sources files without a Section: line. [#41765]
  * Sync Packages-Arch-Specific with wanna-build CVS copy.
  * Fix exclusionary entries in Packages-Arch-Specific handling.
  * Fix spelling of `architeture' in warning.
  
 -- James Troup <james@nocrew.org>  Sat, 16 Oct 1999 00:55:04 +0100

quinn-diff (0.50) unstable; urgency=low

  * Rewrite.  Quinn Diff now compares a Packages file and a Sources
    file, i.e. it compares any given architecture to the source not to
    some other architecture.  This gets us away from the broken model of a
    primary and secondary architecture, which wasn't always true.  It also
    allows one to run quinn diff for the i386 ``port''.
  * Packages marked as hurd-i386 specific in Packages-arch-specific are
    now correctly noted as such.
  * There is now a man page.  [#33806]
  * Packages-arch-specific is now installed into /etc/ and Quinn Diff
    looks for it there.
  * debian/control (Recommends): we no longer need python-base.
  * debian/rules (build): don't run the test suite, it's no longer usable.
  * debian/rules (binary-arch): compress the new manpage.  Mark
    /etc/Packages-arch-specific as a conffile.  Other minor changes.

 -- James Troup <james@nocrew.org>  Sun, 30 May 1999 17:37:10 +0100

quinn-diff (0.46) unstable; urgency=low

  * The Packages-arch-specific file can now be used to mark entire source
    packages as architecture specific by use of a '%' prefix.

 -- James Troup <james@nocrew.org>  Fri,  4 Dec 1998 18:01:29 +0000

quinn-diff (0.45) unstable; urgency=low

  * debian/control (Standards-Version): updated to 2.5.0.0.
  * debian/rules (binary-arch): install README*, not just `README', into
    /usr/doc/quinn-diff/.
  * debian/rules (build): run the new test suite (such as it is).
  * debian/control: fix typo in long description (`exlcude' ->
    `exclude'). (Lintian)
  * create_Packages-source has been sped up more.
  * Quinn Diff was broken by recent Packages files which has gnome-*
    packages with Depends lines in excess of 400 characters; sick of
    hardcoded limits in quinn diff, I've removed them all.
  * Quinn Diff now uses GTK+'s glib library for hash functions rather than
    libdb.  libdb was overkill and the version from glibc 2.1 didn't work
    with quinn diff.  glib's hash functions are more light weight and
    better suited to what quinn diff is doing and switching to it fixed
    several previously unresolveable problems with the new use of
    dynamically allocated memory for all strings related to input.
  * Quinn Diff now uses less memory after the plugging of some memory
    leaks and more intelligent freeing of buffers.
  * A bug in code that tried to handle broken Packages-sources file has
    been fixed so it won't output epochs as part of a source package
    version number.

 -- James Troup <james@nocrew.org>  Wed,  2 Dec 1998 01:52:31 +0000
