=== debian/control ===
Source: quinn-diff
Section: devel
Priority: extra
Maintainer: James Troup <james@nocrew.org>
Standards-Version: 2.5.0.0

Package: quinn-diff
Architecture: any
Depends: ${shlibs:Depends}
Recommends: lftp, debianutils (>= 1.7)
Description: Compares a Packages files and a Sources file
 This is a program to compare a Packages files and a Sources file
 to see which programs need (re)compiled for any given architecture.
 .
 Quinn diff knows about architecture specific packages (e.g. lilo) and
 can easily exclude them via a Packages-arch-specific file.  The
 output is a list of source packages complete with accurate section
 and version information, suitable for use in build daemons or just in
 a script to auto-snarf the necessary source.
