=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,8 @@
 #!/usr/bin/make -f
-# debian/rules file - for Quinn Diff (0.43)
+# debian/rules file - for Quinn Diff (0.50)
 # Based on the sample debian/rules file - for GNU Hello (1.3).
 # Copyright 1994,1995 by Ian Jackson.
-# Copyright 1997,1998 by James Troup.
+# Copyright 1997,1998,1999 by James Troup.
 # I hereby give you perpetual unlimited permission to copy,
 # modify and relicense this file, provided that you do not remove
 # my name from the file itself.  (I assert my moral right of
@@ -11,7 +11,7 @@
 
 build:
 	$(checkdir)
-	./configure --prefix=/usr
+	./configure --prefix=/usr --sysconfdir=/etc
 	$(MAKE)
 	touch build
 
@@ -25,12 +25,18 @@
 
 binary-arch: checkroot build
 	$(checkdir)
+
 	-rm -rf debian/tmp
 	install -d debian/tmp/DEBIAN
+
 	$(MAKE) INSTALL_PROGRAM='install -s' \
-		prefix=`pwd`/debian/tmp/usr install
+		prefix=$$(pwd)/debian/tmp/usr \
+		sysconfdir=$$(pwd)/debian/tmp/etc install
+	gzip -9v debian/tmp/usr/man/man1/*
+	install -m 644 debian/conffiles debian/tmp/DEBIAN/
+
 	install -d debian/tmp/usr/doc/quinn-diff/
-	install -m 644 README NEWS THANKS TODO debian/tmp/usr/doc/quinn-diff/
+	install -m 644 README NEWS THANKS TODO doc/README.silly-names debian/tmp/usr/doc/quinn-diff/
 	install -m 644 debian/changelog debian/tmp/usr/doc/quinn-diff/changelog.Debian
 	install -m 644 ChangeLog debian/tmp/usr/doc/quinn-diff/ChangeLog.main
 	install -m 644 src/ChangeLog debian/tmp/usr/doc/quinn-diff/ChangeLog.src
@@ -39,11 +45,12 @@
 	gzip -9v debian/tmp/usr/doc/quinn-diff/*
 	ln -s ChangeLog.src.gz debian/tmp/usr/doc/quinn-diff/changelog.gz
 	install -m 644 debian/copyright debian/tmp/usr/doc/quinn-diff/
+
 	install -d debian/tmp/usr/doc/quinn-diff/examples/
-	install -m 644 Packages-arch-specific debian/tmp/usr/doc/quinn-diff/examples/
 	install -m 755 example_scripts/quinn-diff* example_scripts/snarf* \
-			example_scripts/create_Packages-source example_scripts/junk.sh \
+			example_scripts/junk.sh \
 			debian/tmp/usr/doc/quinn-diff/examples/
+
 	dpkg-shlibdeps ./src/quinn-diff
 	dpkg-gencontrol -isp
 	chown -R root.root debian/tmp
@@ -51,7 +58,7 @@
 	dpkg --build debian/tmp ..
 
 define checkdir
-	test -f src/hash.c -a -f debian/rules
+	test -f src/parse_sources.c -a -f debian/rules
 endef
 
 # Below here is fairly generic really
