## quinn-diff 0.60

=== debian/changelog ===
quinn-diff (0.60) unstable; urgency=low

  * Take the Architecture: field into consideration and ignore packages
    that are not Architecture: all or the architecture we're interested
    in.

 -- James Troup <james@nocrew.org>  Thu, 10 Jan 2002 21:22:43 +0000

quinn-diff (0.59) unstable; urgency=medium

  * Fixed a bug in the Packages-arch-specific handling that was causing
    some packages to be incorrectly marked as architecture specific.
  * debian/control (Build-Depends) add docbook-utils.

 -- James Troup <james@nocrew.org>  Tue, 18 Dec 2001 01:45:03 +0000

quinn-diff (0.58) unstable; urgency=low

  * src/error.c: Add missing <stdlib.h> include to get prototype for
    exit(), fixes build on ia64.

 -- James Troup <james@nocrew.org>  Sat,  8 Dec 2001 03:53:51 +0000

quinn-diff (0.57) unstable; urgency=low

  * Fix quinn-diff to handle zero-length (i.e. /dev/null) or almost-empty
    Packages files.
  * Add support for -i/--ignore-arch-all which makes quinn-diff ignore any
    source package marked as 'Architecture: all'.
  * Document -A/--architecture in manpage and --help.
  * debian/control (Standards-Version): bumped.
  * debian/control: Improve grammar in extended description, suggestion
    from Matthew Wilcox <willy@debian.org>.  closes: #109627

 -- James Troup <james@nocrew.org>  Fri,  7 Dec 2001 02:50:53 +0000

quinn-diff (0.56) unstable; urgency=low

  * Fixed the compiled/out-of-date markers so that they reflect reality a
    little better.

 -- James Troup <james@nocrew.org>  Thu, 24 May 2001 22:58:46 +0100

quinn-diff (0.55) unstable; urgency=high

  * Fixed a 'free-ing memory twice' crash noticed by Ryan.

 -- James Troup <james@nocrew.org>  Thu, 24 May 2001 16:53:38 +0100

quinn-diff (0.54) unstable; urgency=low

  * Support -A/--architecture to override automagic determination of
    architecture of Packages file.
  * debian/control: add missing Build-Depends, update Standards-Version.
  * Handle duplicates in both Packages and Sources by comparing version
    numbers and discarding the older copy.

 -- James Troup <james@nocrew.org>  Sun, 20 May 2001 22:19:16 +0100

quinn-diff (0.53) unstable; urgency=low

  * Fix a long-standing bug that was causing the section and priority to
    disappear from the output for random packages.
  * A crash on Packages files with nothing but 'Architecture: all'
    packages has been fixed.
  * The new Sources and Packages files produced by apt-ftparchive are
    now handled.

 -- James Troup <james@nocrew.org>  Fri,  1 Sep 2000 18:50:53 +0100

quinn-diff (0.52) unstable; urgency=low

  * debian/copyright: remove references to Linux.  Update location of the
    GPL.  Remove references to the defunct http://quinn-diff.nocrew.org/.
  * debian/rules (binary-arch): move to FHS; install documentation into
    /usr/share/doc/ and manpages into /usr/share/man/.
  * debian/postinst: add /usr/doc/ symlink.
  * debian/prerm: remove /usr/doc/ symlink.
  * debian/rules (binary-arch): install postinst and prerm.
  * debian/control (Standards-Version): update to 3.2.0.0.

 -- James Troup <james@nocrew.org>  Fri, 18 Aug 2000 23:10:53 +0100
