=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: devel
 Priority: extra
 Maintainer: James Troup <james@nocrew.org>
-Standards-Version: 2.5.0.0
+Build-Depends: libglib1.2-dev, docbook-utils
+Standards-Version: 3.5.6.0
 
 Package: quinn-diff
 Architecture: any
@@ -10,7 +11,7 @@
 Recommends: lftp, debianutils (>= 1.7)
 Description: Compares a Packages files and a Sources file
  This is a program to compare a Packages files and a Sources file
- to see which programs need (re)compiled for any given architecture.
+ to see which programs need (re)compiling for any given architecture.
  .
  Quinn diff knows about architecture specific packages (e.g. lilo) and
  can easily exclude them via a Packages-arch-specific file.  The
