=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #!/usr/bin/make -f
-# debian/rules file - for Quinn Diff (0.50)
+# debian/rules file - for Quinn Diff (0.53)
 # Based on the sample debian/rules file - for GNU Hello (1.3).
 # Copyright 1994,1995 by Ian Jackson.
 # Copyright 1997,1998,1999 by James Troup.
@@ -28,28 +28,30 @@
 
 	-rm -rf debian/tmp
 	install -d debian/tmp/DEBIAN
+	install -m 755 debian/postinst debian/prerm debian/tmp/DEBIAN/
 
 	$(MAKE) INSTALL_PROGRAM='install -s' \
 		prefix=$$(pwd)/debian/tmp/usr \
+		mandir=$$(pwd)/debian/tmp/usr/share/man \
 		sysconfdir=$$(pwd)/debian/tmp/etc install
-	gzip -9v debian/tmp/usr/man/man1/*
+	gzip -9v debian/tmp/usr/share/man/man1/*
 	install -m 644 debian/conffiles debian/tmp/DEBIAN/
 
-	install -d debian/tmp/usr/doc/quinn-diff/
-	install -m 644 README NEWS THANKS TODO doc/README.silly-names debian/tmp/usr/doc/quinn-diff/
-	install -m 644 debian/changelog debian/tmp/usr/doc/quinn-diff/changelog.Debian
-	install -m 644 ChangeLog debian/tmp/usr/doc/quinn-diff/ChangeLog.main
-	install -m 644 src/ChangeLog debian/tmp/usr/doc/quinn-diff/ChangeLog.src
+	install -d debian/tmp/usr/share/doc/quinn-diff/
+	install -m 644 README NEWS THANKS TODO doc/README.silly-names debian/tmp/usr/share/doc/quinn-diff/
+	install -m 644 debian/changelog debian/tmp/usr/share/doc/quinn-diff/changelog.Debian
+	install -m 644 ChangeLog debian/tmp/usr/share/doc/quinn-diff/ChangeLog.main
+	install -m 644 src/ChangeLog debian/tmp/usr/share/doc/quinn-diff/ChangeLog.src
 	install -m 644 example_scripts/ChangeLog \
-			debian/tmp/usr/doc/quinn-diff/ChangeLog.scripts
-	gzip -9v debian/tmp/usr/doc/quinn-diff/*
-	ln -s ChangeLog.src.gz debian/tmp/usr/doc/quinn-diff/changelog.gz
-	install -m 644 debian/copyright debian/tmp/usr/doc/quinn-diff/
+			debian/tmp/usr/share/doc/quinn-diff/ChangeLog.scripts
+	gzip -9v debian/tmp/usr/share/doc/quinn-diff/*
+	ln -s ChangeLog.src.gz debian/tmp/usr/share/doc/quinn-diff/changelog.gz
+	install -m 644 debian/copyright debian/tmp/usr/share/doc/quinn-diff/
 
-	install -d debian/tmp/usr/doc/quinn-diff/examples/
+	install -d debian/tmp/usr/share/doc/quinn-diff/examples/
 	install -m 755 example_scripts/quinn-diff* example_scripts/snarf* \
 			example_scripts/junk.sh \
-			debian/tmp/usr/doc/quinn-diff/examples/
+			debian/tmp/usr/share/doc/quinn-diff/examples/
 
 	dpkg-shlibdeps ./src/quinn-diff
 	dpkg-gencontrol -isp
