## quinn-diff 0.65

=== debian/changelog ===
quinn-diff (0.65) unstable; urgency=low

  * src/init.c (usage): don't use multi-line string literals as they're
    deprecated by gcc-3.3.  Thanks to Daniel Schepler
    <schepler@math.berkeley.edu> for the report.  Closes: #196581

  * debian/control (Standards-Version): bump to 3.5.10.0.

  * debian/rules (clean): clean *~ in any subdir.

 -- James Troup <james@nocrew.org>  Sun,  8 Jun 2003 14:40:43 +0100

quinn-diff (0.64) unstable; urgency=low

  * quinn-diff now distinguishes between 'partial' and 'uncompiled'
    packages; the former being where some binary packages built by a
    source package are missing but the packages is otherwise up-to-date
    and the latter meaning that none of a source package's architecture
    dependent packages have been recompiled for the architecture.

 -- James Troup <james@nocrew.org>  Thu, 30 Jan 2003 19:05:43 +0000

quinn-diff (0.63) unstable; urgency=low

  * If the binary is newer than the source ensure the binary is built from
    that source; works around (some) problems with packages lieing about
    what they build (e.g. #177476).
  * debian/postinst, debian/prerm: remove; no longer do /usr/doc symlinks.
  * debian/rules (binary-arch): don't install obsolete postinst or prerm.
  * debian/rules: use convenince variables for install/gzip etc.
  * debian/control (Standards-Version): bump to 3.5.8.0.

 -- James Troup <james@nocrew.org>  Thu, 30 Jan 2003 14:48:26 +0000

quinn-diff (0.62) unstable; urgency=high

  * Fix the fix for arch comparisons; further patches from Ryan Murray
    <rmurray@debian.org>.

 -- James Troup <james@nocrew.org>  Mon, 19 Aug 2002 00:25:24 +0100

quinn-diff (0.61) unstable; urgency=low

  * Patch from Ryan Murray <rmurray@debian.org> to fix arch comparisons.

 -- James Troup <james@nocrew.org>  Sun, 18 Aug 2002 00:55:56 +0100
