=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: James Troup <james@nocrew.org>
 Build-Depends: libglib1.2-dev, docbook-utils
-Standards-Version: 3.5.6.0
+Standards-Version: 3.5.10.0
 
 Package: quinn-diff
 Architecture: any
