## quinn-diff 0.65.1

=== debian/changelog ===
quinn-diff (0.65.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update version compare code from dpkg. (closes: #387220)

 -- Bastian Blank <waldi@debian.org>  Thu, 12 Oct 2006 10:13:54 +0000
