## quinn-diff 0.65.1build1

=== debian/changelog ===
quinn-diff (0.65.1build1) hardy; urgency=low

  * No changes upload to build with new glib1.2.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Thu, 22 Nov 2007 04:45:39 +0100
