## quinn-diff 0.66

=== debian/changelog ===
quinn-diff (0.66) unstable; urgency=low

  * New maintainer.

 -- Luk Claes <luk@debian.org>  Sun, 31 Aug 2008 12:57:44 +0200
