=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: quinn-diff
 Section: devel
 Priority: extra
-Maintainer: James Troup <james@nocrew.org>
+Maintainer: Luk Claes <luk@debian.org>
 Build-Depends: libglib1.2-dev, docbook-utils
-Standards-Version: 3.5.10.0
+Standards-Version: 3.8.0
 
 Package: quinn-diff
 Architecture: any
