=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 
 clean:
 	$(checkdir)
-	-$(MAKE) -i distclean || $(MAKE) -f Makefile.in distclean
+	[ ! -f Makefile ] || $(MAKE) distclean
 	-rm -rf build debian/tmp debian/files* debian/substvars*
 	find . -name \*~ | xargs rm -vf
