## quinn-diff 0.67

=== debian/changelog ===
quinn-diff (0.67) unstable; urgency=low

  * Link against glib2 instead of glib1.2 (Closes: #400828).
  * Fix typo in help message (Closes: #437165).

 -- Luk Claes <luk@debian.org>  Mon, 13 Apr 2009 18:09:05 +0000
