=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: extra
 Maintainer: Luk Claes <luk@debian.org>
-Build-Depends: libglib1.2-dev, docbook-utils
+Build-Depends: libglib2.0-dev, docbook-utils
 Standards-Version: 3.8.0
 
 Package: quinn-diff
